REM Check and modify all lines that begin with ***
REM REMOVE the *** characters once you have corrected or checked the line

REM @Echo OFF

setlocal ENABLEDELAYEDEXPANSION
***set homedir=E:\scripts\laptopcloud_enablecomputers
***set bin=E:\scripts\bin

if not exist complete_users mkdir  %homedir%\new_computers
if not exist complete_users mkdir  %homedir%\completed_computers

@Echo %Date% %time% >> %homedir%\enablecomputers.log
@Echo %Date% %time% ENABLECOMPUTERS: STARTED >> %homedir%\enablecomputers.log

***net use \\DATA_SERVER\SHARE PASSWORD /user:USERNAME
***robocopy "\\DATA_SERVER\SHARE\Computers" "new_computers" /S /E /COPY:DAT /LOG+:"%homedir%\robocopy.log" 
@Echo %Date% %time% ROBOCOPY returns: [%errorlevel%] >> %homedir%\EnableComputers.log

***If not defined GALAXY_BASE set GALAXY_BASE=C:\PROGRAM FILES\COMMVAULT\SIMPANA\BASE
set PATH=%PATH%;%GALAXY_BASE%
***qlogin -u "YOUR USER"  -ps "YOUR PASSWORD"  -cs "YOUR COMMSERVER" 
If %errorlevel% NEQ 0 (
  	@Echo %Date% %time% ERROR: Qlogin failed. errorlevel:[%errorlevel%] EXITING! >> %homedir%\EnableComputers.log
  	exit /b /0)

dir /s /b %homedir%\new_computers > %homedir%\computers.txt
for /F "tokens=1* delims=>" %%a in (%homedir%\computers.txt) do call :proccesscomputers "%%a"
goto end

:proccesscomputers

	@Echo %Date% %time% Got Computer file: [%1] >> %homedir%\EnableComputers.log
	for /f "usebackq delims=; tokens=1-3" %%i in (%1) do (
		set Computer=%%i
		set Email=%%j
		set Encrypt=%%k
***		set mailto=HELPDESK@YOURCOMPANY.COM
	)
	if exist %CD%\completed_computers\%Computer%.txt (
		@Echo %Date% %time% Computer: [%Computer%] has already been processed... SKIPPING! >> %homedir%\EnableComputers.log
		del /Q %CD%\completed_computers\%Computer%.txt
		goto :EOF
	)
	REM move the laptop into the laptops client group and remove them from the waiting room
	qoperation execscript -sn SetClientGroup.sql -si "%Computer%" -si "Laptops"
	@Echo %Date% %time% SetClientGroup [Laptops] command returned:[%errorlevel%] >> %homedir%\EnableComputers.log 	
	If %errorlevel% NEQ 0 (
***		cscript %bin%\smtpmail.vbs //NOLOGO /to %mailto% /from "YOUR_COMMSERVER@YOURCOMPANY.COM" /subject "CloudLaptop Computer: [%Computer%] failed to get moved into Laptops group. PLEASE INVESTIGATE IT! [end]"
		goto :EOF
	)
	qoperation execscript -sn SetClientGroup.sql -si "%Computer%" -si "WaitingRoom" -si REM
	@Echo %Date% %time% SetClientGroup [WaitingRoom] command returned:[%errorlevel%] >> %homedir%\EnableComputers.log 	
	If %errorlevel% NEQ 0 (
***		cscript %bin%\smtpmail.vbs //NOLOGO /to %mailto% /from "YOUR_COMMSERVER@YOURCOMPANY.COM" /subject "CloudLaptop Computer: [%Computer%] failed to get removed from WaitingRoom group. PLEASE INVESTIGATE IT! [end]"
		goto :EOF			
	)
	qoperation execscript -sn SetClientDescription.sql -si "%Computer%" -si %Email%
	@Echo %Date% %time% SetClientDescription command returned:[%errorlevel%] >> %homedir%\EnableComputers.log 	
	If %errorlevel% NEQ 0 (
***		cscript %bin%\smtpmail.vbs //NOLOGO /to %mailto% /from "YOUR_COMMSERVER@YOURCOMPANY.COM" /subject "CloudLaptop Computer: [%Computer%] failed to set the client description field. PLEASE INVESTIGATE IT! [end]"
		goto :EOF
	)		
	REM if user has enabled sncryption, then move the subclient to the laptop sensitive storage policy
	if /I %Encrypt%. EQU Yes. (
		@Echo %Date% %time% Setting encryption for this client:[%Computer%] user setting was:[%Encrypt%] >> %homedir%\EnableComputers.log 
		qoperation execscript -sn SetStoragePolicy.sql -si "Laptop backups (sensitive)" -si data -si c="%Computer%" -si a=Q_FILESYSTEM -si b=defaultbackupset -si s=default
		@Echo %Date% %time% SetStoragePolicy command returned:[%errorlevel%] >> %homedir%\EnableComputers.log 
		If %errorlevel% NEQ 0 (
***			cscript %bin%\smtpmail.vbs //NOLOGO /to %mailto% /from "YOUR_COMMSERVER@YOURCOMPANY.COM" /subject "CloudLaptop Computer: [%Computer%] failed to set the client description field. PLEASE INVESTIGATE IT! [end]"
			goto :EOF
		)
	) else (
		@Echo %Date% %time% NOT setting encryption for this client:[%Computer%] user setting was:[%Encrypt%] >> %homedir%\EnableComputers.log 
	)

***	cscript %bin%\smtpmail.vbs //NOLOGO /to %Email% /bcc %mailto% /from "YOUR_COMMSERVER@YOURCOMPANY.COM" /subject "Your computer is now active" /body "Greetings from FOREVERCELL server at YOUR_COMPANY.<br><br> Your computer: [%Computer%] is now enabled for backup on backup server.<br><br>YOUR_COMPANY Cloud Storage Team."
	move %1 "%CD%\completed_computers"
***	del /Q \\DATA_SERVER\SHARE\Computers\%Computer%.txt

	goto :EOF

:end
@Echo %Date% %time% DONE! >> %homedir%\EnableComputers.log
***net use \\DATA_SERVER\SHARE /del
qlogout
if %errorlevel% NEQ 0 (@Echo %Date% %time% QLogout failed! >> %homedir%\EnableComputers.log)
endlocal
